Opened 7 years ago

Closed 7 years ago

#35928 closed defect (fixed)

mariadb: The file /opt/local/lib/libevent.dylib does not exist

Reported by: kirk@… Owned by: pixilla (Bradley Giesbrecht)
Priority: Normal Milestone:
Component: ports Version: 2.1.2
Keywords: Cc:
Port: mariadb

Description (last modified by ryandesign (Ryan Schmidt))

Just tried to install mariadb on a fresh install of Mountain Lion. The recognized dependencies were:

$:> port deps mariadb
Full Name: mariadb @5.5.25_0
Build Dependencies:   cmake
Library Dependencies: zlib, cmake
Runtime Dependencies: mysql_select

During the install the library libidn-1.25 was also built. All dependencies were installed without problem but the configuration of mariadb failed with an Error: The file /opt/local/lib/libevent.dylib does not exist. After I installed libevent, all was good.

Change History (2)

comment:1 Changed 7 years ago by ryandesign (Ryan Schmidt)

Description: modified (diff)
Keywords: missing dependencies removed
Owner: changed from macports-tickets@… to pixilla@…
Summary: Missing dependency for MariaDBmariadb: The file /opt/local/lib/libevent.dylib does not exist

mariadb includes libevent.dylib in archcheck.files but declares no dependency on the libevent port. Either libevent should be added to the dependencies, or the check for libevent.dylib should be removed from archcheck.files. My installed mariadb does not link with libevent, though I do see occurrences of libevent in the sources. Maybe it's an optional dependency.

While we're looking at dependencies, I'm curious why mariadb lists a library dependency on cmake. Does it really use cmake at runtime? If so, a comment should be added to the port explaining this, since it's unusual. If not, then the cmake portgroup's build dependency on cmake should be sufficient.

comment:2 Changed 7 years ago by pixilla (Bradley Giesbrecht)

Resolution: fixed
Status: newclosed

See r97283

Note: See TracTickets for help on using tickets.